%define upstream_name 	 XML-Stream
%define upstream_version 1.24

Name: 		perl-%{upstream_name}
Version: 	%perl_convert_version %{upstream_version}
Release: 	%mkrel 8

Summary:	%{upstream_name} perl module
License: 	LGPL
Group:		Development/Perl
Url:		https://www.cpan.org/
Source0:	https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Module::Build)
Buildrequires:	perl(Unicode::String)
BuildRequires:	perl(Authen::SASL)
BuildArch: noarch


%description
This module provides you with access to XML Streams.  An XML Stream
is just that.  A stream of XML over a connection between two computers.

%prep
%setup -q  -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor 
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc README CHANGES META.yml
%{_mandir}/*/*
%{perl_vendorlib}/XML/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.240.0-8.mga10
+ Revision: 2201554
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.240.0-7.mga9
+ Revision: 1806767
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.240.0-6.mga8
+ Revision: 1498519
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.240.0-5.mga7
+ Revision: 1272796
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.240.0-4.mga6
+ Revision: 1036162
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 1.240.0-3.mga6
+ Revision: 971520
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 tv <tv> 1.240.0-2.mga6
+ Revision: 891842
- BR perl(Module::Build))

* Mon Jun 22 2015 sander85 <sander85> 1.240.0-1.mga6
+ Revision: 838839
- update to 1.24

* Sun Oct 19 2014 umeabot <umeabot> 1.230.0-6.mga5
+ Revision: 788614
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.230.0-5.mga5
+ Revision: 741385
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.230.0-4.mga5
+ Revision: 686967
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.230.0-3.mga4
+ Revision: 516195
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.230.0-2.mga3
+ Revision: 375184
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.230.0-1.mga1
+ Revision: 29723
- mageia rebuild
- imported package perl-XML-Stream


* Fri Jan 08 2010 Jérôme Quelin <jquelin@mandriva.org> 1.230.0-1mdv2010.1
+ Revision: 487478
- update to 1.23

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 1.220.0-1mdv2010.0
+ Revision: 401851
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.22-6mdv2009.1
+ Revision: 351659
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.22-5mdv2009.0
+ Revision: 224665
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.22-4mdv2008.1
+ Revision: 180661
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 1.22-3mdv2008.0
+ Revision: 23245
- rebuild


* Sun Nov 28 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.22-2mdk
- add BuildRequires: perl-Authen-SASL (for tests)

* Wed Nov 24 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.22-1mdk
- 1.22

* Tue Apr 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.21-2mdk
- fix license

* Mon Apr 19 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.21-1mdk
- 1.21
- drop PREFIX and use %%makeinstall_std macro
- change license to GNU Library GPL

* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.16-3mdk
- rebuild

* Sun Jul 27 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.16-2mdk
- rebuild for new rpm provides computation

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.16-1mdk
- update for Net::Jabber

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.15-5mdk
- rebuild for new auto{prov,req}

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.15-4mdk
- buildrequires

* Thu Jan 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.15-3mdk
- rebuild

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 1.15-2mdk
- rebuild for perl 5.8.0

* Tue Jun 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.15-1mdk
- updated by David Walser <luigiwalser@yahoo.com> :
	- 1.15

* Mon Mar 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.14-1mdk
- 1.14

* Wed Aug 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.12-2mdk
- add buildrequires ( Christian Zoffoli )

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.12-1mdk
- updated to 1.12

* Tue Feb 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.11-1mdk
- added in contribs by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- First Mandrake Release

